use crate::{SeString, Payload};
use crate::payload::{TextPayload, NewLinePayload};

super::basic_tests! {
    new_line {
        payload = &[66, 101, 102, 111, 114, 101, 2, 16, 1, 3, 65, 102, 116, 101, 114];
        expected = SeString(vec![
            Payload::Text(TextPayload::from("Before")),
            Payload::NewLine(NewLinePayload),
            Payload::Text(TextPayload::from("After")),
        ]);
    }
}
